# Class Elements

Object
nu.xom.Elements

All Implemented Interfaces:
  `Iterable<Element>`

public final class Elements extends Object implements Iterable<Element>

A read-only list of elements for traversal purposes. Changes to the document from which this list was generated are not reflected in this list. Changes to the individual `Element` objects in the list are reflected.

Version:
  1.3.0
Author:
  Elliotte Rusty Harold

## Method Summary

Modifier and Type
Method
Description
`Element`
`get(int index)`
Returns the indexth element in the list.
`Iterator<Element>`
`iterator()`
`int`
`size()`
Returns the number of elements in the list.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Method Details

### size

public int size()

Returns the number of elements in the list. This is guaranteed non-negative.

Returns:
  the number of elements in the list

### get

public Element get(int index)

Returns the indexth element in the list. The first element has index 0. The last element has index `size()-1`.

Parameters:
  `index` - the element to return
Returns:
  the element at the specified position
Throws:
  `IndexOutOfBoundsException` - if index is negative or greater than or equal to the size of the list

### iterator

public Iterator<Element> iterator()

Specified by:
  `iterator` in interface `Iterable<Element>`